MENU

自建KMS激活Window及Office

April 29, 2020 • Read: 78 • 教程·折腾

背景

想必很多与我一样家境贫寒的学生或底薪工作者,买不起正版的 Window。网上的 KMS 激活下载乱七八糟的软件,不清楚里面有没有后门。并且 Win10 自带的 Window Defender (简称 WD ) 会把网上下载的激活软件标记木马,下载立马自动删除。禁用 WD 又要修改策略组及禁用实时保护,着实麻烦。本文仅仅作为个人学习研究参考,请勿用于商业用途。有能力者请支持正版!

0.Linux搭建 KMS 服务器及使用

支持的发行版为:CentOS/Debian/Ubuntu

这里使用 Mr-xn 提供的安装脚本 kms-server-deploy

所有步骤均在服务器的 /opt/download 文件夹中进行

1.下载对应版本的 KMS 服务脚本上传到服务器

(注:由于国内服务器可能对 raw.githubusercontent.com 被墙,如果可访问可跳过该步骤)

Redhat

https://raw.githubusercontent.com/Mr-xn/kms-server-deploy/master/kms

Debain

https://raw.githubusercontent.com/Mr-xn/kms-server-deploy/master/kms-debian

在 Window主机将上述 kms或kms-debain 上传到服务器的 /opt/download/ 目录

2.下载 Mr-xn 的安装脚本 kms-server-deploy.sh

wget https://raw.githubusercontent.com/Mr-xn/kms-server-deploy/master/kms-server-deploy.sh

或在 Window 主机下载上传到服务器的 /opt/download/ 目录

3.修改 kms-server-deploy.sh 中的 auto_start 函数

(注:由于国内服务器可能对 raw.githubusercontent.com 被墙,如果可访问可跳过该步骤)

目的是将下载的步骤替换成步骤 1 下载的 kms 或 kms-debian 脚本

auto_start() {
    if [[ x"${release}" == x"centos" ]]; then
        if ! wget --no-check-certificate -O /etc/init.d/kms https://raw.githubusercontent.com/Mr-xn/kms-server-deploy/master/kms; then
            echo -e "${Error} Failed to download KMS Server script."
            exit 1
        fi
    elif [[ x"${release}" == x"debian" || x"${release}" == x"ubuntu" ]]; then
        if ! wget --no-check-certificate -O /etc/init.d/kms https://raw.githubusercontent.com/Mr-xn/kms-server-deploy/master/kms-debian; then
            echo -e "${Error} Failed to download KMS Server script."
            exit 1
        fi
    else
        echo -e "${Error} OS is not be supported, please change to CentOS/Debian/Ubuntu and try again."
        exit 1
    fi
}

修改为

auto_start() {
    if [[ x"${release}" == x"centos" ]]; then
        cp /opt/download/kms /etc/init.d/kms
    elif [[ x"${release}" == x"debian" || x"${release}" == x"ubuntu" ]]; then
        cp /opt/download/kms-debian /etc/init.d/kms
    else
        echo -e "${Error} OS is not be supported, please change to CentOS/Debian/Ubuntu and try again."
        exit 1
    fi
}

4.下载 vlmcsd 源码上传到 /opt/download 及修改 kms-server-deploy.sh 中的 start_install 函数。

(注:由于国内服务器可能对 github.com 被墙,如果可访问可跳过该步骤)

  • 先从 window 上克隆 vlmcsd 源码

git clone https://github.com/Wind4/vlmcsd.git

上传 vlmcsd 源码文件夹到服务器 /opt/download

  • 修改 kms-server-deploy.sh 中的 start_install 函数,目的是跳过下载源码部分
start_install() {
    ## ......省略......

    git clone https://github.com/Wind4/vlmcsd.git
    [ -d vlmcsd ] && cd vlmcsd || echo -e "${Error} Failed to git clone vlmcsd."
    
    ## ......省略......
}

修改为

start_install() {
    ## ......省略......

    # git clone https://github.com/Wind4/vlmcsd.git 注释该行,因为已经下载了
    [ -d vlmcsd ] && cd vlmcsd || echo -e "${Error} Failed to git clone vlmcsd."
    
    ## ......省略......
}

5.脚本执行权限及执行

chmod +x kms-server-deploy.sh
./kms-server-deploy.sh

6.开启1688端口

各个发行版及运营商云服务器不同,需要配置安全组或防火墙,故不在此处编写

7.激活windows

前提:服务器 IP 为 192.168.1.2 或结合 Nginx 等反向代理,配置了域名如 kms.example.com转发给服务器的 1688 端口。

本文直接使用服务器的 IP :192.168.1.2

手动激活教程如下:

以windows 10 专业版(Professional)为例,打开 powershell(管理员)直接输入下列命令

::卸载当前产品密钥
slmgr.vbs -upk

::配置序列号,不同系统版本这里的激活码不一样,请往下翻寻找表格!
slmgr.vbs -ipk W269N-WFGWX-YVC9B-4J6C9-T83GX

::配置KMS服务器地址(可以是域名或者IP地址)
slmgr.vbs -skms 192.168.1.2

::激活系统
slmgr.vbs -ato

::查看授权详细信息
slmgr.vbs -dlv

注意!不同的系统,这一步中输入的密钥不相同!!!

8.各操作系统KMS激活方式所对应的激活码

Windows 10
操作系统版本 KMS客户端设置密钥
Windows 10 专业版 W269N-WFGWX-YVC9B-4J6C9-T83GX
Windows 10 专业N版 MH37W-N47XK-V7XM9-C7227-GCQG9
Windows 10 企业版 NPPR9-FWDCX-D2C8J-H872K-2YT43
Windows 10 企业N版 DPH2V-TTNVB-4X9Q3-TJR4H-KHJW4
Windows 10 教育(家庭)版 NW6C2-QMPVW-D7KKK-3GKT6-VCFB2
Windows 10 教育(家庭)N版 2WH4N-8QGBV-H22JP-CT43Q-MDWWJ
Windows 10 企业版2015 LTSB WNMTR-4C88C-JK8YV-HQ7T2-76DF9
Windows 10 企业版 2015 LTSB N 2F77B-TNFGY-69QQF-B8YKP-D69TJ
Windows 10 企业版 2016 LTSB DCPHK-NFMTC-H88MJ-PFHPY-QJ4BJ
Windows 10 企业版 2016 LTSB N QFFDN-GRT3P-VKWWX-X7T3R-8B639
Windows Server 2012和Windows 8

操作系统版本 KMS客户端设置密钥
Windows 8专业版 NG4HW-VH26C-733KW-K6F98-J8CK4
Windows 8 Professional N XCVCF-2NXM9-723PB-MHCB7-2RYQQ
Windows 8企业版 32JNW-9KQ84-P47T8-D8GGY-CWCK7
Windows 8企业N JMNMF-RHW7P-DMY6X-RF3DR-X2BQT
Windows Server 2012 BN3D2-R7TKB-3YPBD-8DRP2-27GG4
Windows Server 2012 N 8N2M2-HWPGY-7PGT9-HGDD8-GVGGY
Windows Server 2012单一语言 2WN2H-YGCQR-KFX6K-CD6TF-84YXQ
Windows Server 2012具体国家 4K36P-JN4VD-GDC6V-KDT89-DYFKP
Windows Server 2012服务器标准 XC9B7-NBPP2-83J2H-RHMBY-92BT4
Windows Server 2012 MultiPoint Standard HM7DN-YVMH3-46JC3-XYTG7-CYQJJ
Windows Server 2012 MultiPoint Premium XNH6W-2V9GX-RGJ4K-Y8X6F-QGJ2G
Windows Server 2012数据中心 48HP8-DN98B-MYWDG-T2DCC-8W83P
Windows 7和Windows Server 2008 R2

操作系统版本 KMS客户端设置密钥
Windows 7专业版 FJ82H-XT6CR-J8D7P-XQJJ2-GPDD4
Windows 7专业版 MRPKT-YTG23-K7D7T-X2JMM-QY7MG
Windows 7 Professional E W82YF-2Q76Y-63HXB-FGJG9-GF7QX
Windows 7企业版 33PXH-7Y6KF-2VJC9-XBBR8-HVTHH
Windows 7企业N YDRBP-3D83W-TY26F-D46B2-XCKRJ
Windows 7企业E C29WB-22CC8-VJ326-GHFJW-H9DH4
Windows Server 2008 R2 Web 6TPJF-RBVHG-WBW2R-86QPH-6RTM4
Windows Server 2008 R2 HPC版 TT8MH-CG224-D3D7Q-498W2-9QCTX
Windows Server 2008 R2 Standard YC6KT-GKW9T-YTKYR-T4X34,R7VHC
Windows Server 2008 R2企业版 489J6-VHDMP-X63PK-3K798-CPX3Y
Windows Server 2008 R2数据中心 74YFP-3QFB3-KQT8W-PMXWJ-7M648
Windows Server 2008 R2(用于基于Itanium的系统) GT63C-RJFQ3-4GMB6-BRFB9-CB83V
Windows Vista和Windows Server 2008

操作系统版本 KMS客户端设置密钥
Windows Vista Business YFKBB-PQJJV-G996G-VWGXY-2V3X8
Windows Vista Business N HMBQG-8H2RH-C77VX-27R82-VMQBT
Windows Vista企业版 VKK3X-68KWM-X2YGT-QR4M6-4BWMV
Windows Vista企业N VTC42-BM838-43QHV-84HX6-XJXKV
Windows Web Server 2008 WYR28-R7TFJ-3X2YQ-YCY4H-M249D
Windows Server 2008 Standard TM24T-X9RMF-VWXK6-X8JC9-BFGM2
没有Hyper-V的Windows Server 2008 Standard W7VD6-7JFBR-RX26B-YKQ3Y-6FFFJ
Windows Server 2008企业版 YQGMW-MPWTJ-34KDK-48M3W-X4Q6V
没有Hyper-V的Windows Server 2008 Enterprise 39BXF-X8Q23-P2WWT-38T2F-G3FPG
Windows Server 2008 HPC RCTX3-KWVHP-BR6TB-RB6DM-6X7HP
Windows Server 2008数据中心 7M67G-PC374-GR742-YH8V4-TCBY3
没有Hyper-V的Windows Server 2008数据中心 22XQ2-VRXRG-P8D42-K34TD-G3QQC
Windows Server 2008(用于基于Itanium的系统) 4DWFP-JF3DJ-B7DTH-78FJB-PDRHK
Windows Server 2016

操作系统版本 KMS客户端设置密钥
Windows Server 2016数据中心 CB7KF-BWN84-R7R2Y-793K2-8XDDG
Windows Server 2016标准 WC2BQ-8NRM3-FDDYY-2BFGV-KHKQY
Windows Server 2016 Essentials JCKRF-N37P4-C2D82-9YXRT-4M63B

9.激活Office

首先你的 OFFICE 必须是 VOL 版本,否则无法激活。
找到你的office安装目录,比如 C:Program Files (x86)Microsoft OfficeOffice16

64 位的就是 C:Program FilesMicrosoft OfficeOffice16

office16 是 office2016,office15 就是 2013,office14 就是 2010.

然后目录对的话,该目录下面应该有个 ospp.vbs

接下来我们就 cd 到这个目录下面,例如:

cd "C:\Program Files (x86)\Microsoft Office\Office16"

然后执行注册kms服务器地址:

cscript ospp.vbs /sethst:192.168.1.2

/sethst 参数就是指定 kms 服务器地址。

一般 ospp.vbs 可以拖进去cmd窗口,所以也可以这么弄:

cscript "C:\Program Files (x86)\Microsoft Office\Office16\ospp.vbs" /sethst:192.168.1.2

一般来说,“一句命令已经完成了”,但一般 office 不会马上连接kms服务器进行激活,所以我们额外补充一条手动激活命令:

cscript ospp.vbs /act

如果提示看到 successful 的字样,那么就是激活成功了,重新打开 office 就好。

10.Office 版本及激活码

GVLKs for Office 2019

ProductGVLK
Office Professional Plus 2019NMMKJ-6RK4F-KMJVX-8D9MJ-6MWKP
Office Standard 20196NWWJ-YQWMR-QKGCB-6TMB3-9D9HK
Project Professional 2019B4NPR-3FKK7-T2MBV-FRQ4W-PKD2B
Project Standard 2019C4F7P-NCP8C-6CQPT-MQHV9-JXD2M
Visio Professional 20199BGNQ-K37YR-RQHF2-38RQ3-7VCBB
Visio Standard 20197TQNQ-K3YQQ-3PFH7-CCPPM-X4VQ2
Access 20199N9PT-27V4Y-VJ2PD-YXFMF-YTFQT
Excel 2019TMJWT-YYNMB-3BKTF-644FC-RVXBD
Outlook 20197HD7K-N4PVK-BHBCQ-YWQRW-XW4VK
PowerPoint 2019RRNCX-C64HY-W2MM7-MCH9G-TJHMQ
Publisher 2019G2KWX-3NW6P-PY93R-JXK2T-C9Y9V
Skype for Business 2019NCJ33-JHBBY-HTK98-MYCV8-HMKHJ
Word 2019PBX3G-NWMT6-Q7XBW-PYJGG-WXD33

GVLKs for Office 2016

ProductGVLK
Office Professional Plus 2016XQNVK-8JYDB-WJ9W3-YJ8YR-WFG99
Office Standard 2016JNRGM-WHDWX-FJJG3-K47QV-DRTFM
Project Professional 2016YG9NW-3K39V-2T3HJ-93F3Q-G83KT
Project Standard 2016GNFHQ-F6YQM-KQDGJ-327XX-KQBVC
Visio Professional 2016PD3PC-RHNGV-FXJ29-8JK7D-RJRJK
Visio Standard 20167WHWN-4T7MP-G96JF-G33KR-W8GF4
Access 2016GNH9Y-D2J4T-FJHGG-QRVH7-QPFDW
Excel 20169C2PK-NWTVB-JMPW8-BFT28-7FTBF
OneNote 2016DR92N-9HTF2-97XKM-XW2WJ-XW3J6
Outlook 2016R69KK-NTPKF-7M3Q4-QYBHW-6MT9B
PowerPoint 2016J7MQP-HNJ4Y-WJ7YM-PFYGF-BY6C6
Publisher 2016F47MM-N3XJP-TQXJ9-BP99D-8K837
Skype for Business 2016869NQ-FJ69K-466HW-QYCP2-DDBV6
Word 2016WXY84-JN2Q9-RBCCQ-3Q3J3-3PFJ6

链接地址:https://docs.microsoft.com/en-us/DeployOffice/vlactivation/gvlks

适用于 Office 2013 的通用批量许可密钥

产品GVLK
Office 2013 Professional PlusYC7DK-G2NP3-2QQC3-J6H88-GVGXT
Office 2013 StandardKBKQT-2NMXY-JJWGP-M62JB-92CD4
Project 2013 ProfessionalFN8TT-7WMH6-2D4X9-M337T-2342K
Project 2013 Standard6NTH3-CW976-3G3Y2-JK3TX-8QHTT
Visio 2013 ProfessionalC2FG9-N6J68-H8BTJ-BW3QX-RM3B3
Visio 2013 StandardJ484Y-4NKBF-W2HMG-DBMJC-PGWR7
Access 2013NG2JY-H4JBT-HQXYP-78QH9-4JM2D
Excel 2013VGPNG-Y7HQW-9RHP7-TKPV3-BG7GB
InfoPath 2013DKT8B-N7VXH-D963P-Q4PHY-F8894
Lync 20132MG3G-3BNTT-3MFW9-KDQW3-TCK7R
OneNote 2013TGN6P-8MMBC-37P2F-XHXXK-P34VW
Outlook 2013QPN8Q-BJBTJ-334K3-93TGY-2PMBT
PowerPoint 20134NT99-8RJFH-Q2VDH-KYG2C-4RD4F
Publisher 2013PN2WF-29XG2-T9HJ7-JQPJR-FCXK4
Word 20136Q7VD-NX8JD-WJ2VH-88V73-4GBJ7

链接地址:https://docs.microsoft.com/zh-cn/previous-versions/office/dn385360(v=office.15)

适用于 Office 2010 套件和独立产品的 KMS 客户端密钥

套件
Office Professional Plus 2010VYBBJ-TRJPB-QFQRF-QFT4D-H3GVB
Office Standard 2010V7QKV-4XVVR-XYV4D-F7DFM-8R6BM
Office Home and Business 2010D6QFG-VBYP2-XQHM7-J97RH-VVRCK
独立产品
Access 2010V7Y44-9T38C-R2VJK-666HK-T7DDX
Excel 2010H62QG-HXVKF-PP4HP-66KMR-CW9BM
SharePoint Workspace 2010QYYW6-QP4CB-MBV6G-HYMCJ-4T3J4
InfoPath 2010K96W8-67RPQ-62T9Y-J8FQJ-BT37T
OneNote 2010Q4Y4M-RHWJM-PY37F-MTKWH-D3XHX
Outlook 20107YDC2-CWM8M-RRTJC-8MDVC-X3DWQ
PowerPoint 2010RC8FX-88JRY-3PF7C-X8P67-P4VTT
Project Professional 2010YGX6F-PGV49-PGW3J-9BTGG-VHKC6
Project Standard 20104HP3K-88W3F-W2K3D-6677X-F9PGB
Publisher 2010BFK7F-9MYHM-V68C7-DRQ66-83YTP
Word 2010HVHB3-C6FV7-KQX9W-YQG79-CRY7T
Visio
Visio Premium 2010D9DWC-HPYVV-JGF4P-BTWQB-WX8BJ
Visio Professional 20107MCW8-VRQVK-G677T-PDJCM-Q8TCP
Visio Standard 2010767HD-QGMWX-8QTDB-9G3R2-KHFGJ

链接地址:https://docs.microsoft.com/zh-cn/previous-versions/office/office-2010/ee624355(v=office.14)

11.补充,可用的KMS服务器

  • kms.mrxn.net
  • kms.cangshui.net
  • kms.03k.org
  • 116.85.19.97(个人滴滴云,随时关停)

12.附件

kms 自动激活脚本(未测试) :kms_auto.cmd

13.参考

Mrxn's Blog:一键搭建 kms 激活服务端 && Windows 客户端一键激活脚本

vcdx:自建KMS服务器激活 Windows office

cncqly:KMS 密钥 (GVLK)Office2010、2013、2016、2019


本文由 ONE 创作,采用 知识共享署名4.0 国际许可协议进行许可
本站文章除注明转载/出处外,均为本站原创或翻译,转载前请务必署名
如有版权疑问交流,请给我留言:oneisall8955@gmail.com
本文永久链接:https://liuzhicong.cn/index.php/guide/kms-server.html

Archives QR Code Tip
QR Code for this page
Tipping QR Code